package com.freemud.application.sdk.api.ordercenter.enums;

/**
 * 订单特殊类型
 */
public enum MarketTypeEnum {
    ORDER(0, "无具体营销"),
    GROUPB(2, "拼团营销"),
    SEC_KILL(3, "秒杀营销"),
    COLLAGE(4, "拼单营销"),
    CASHIER(5, "点餐收款营销"),
    SVC6(6, "储值卡线下消费营销"),
    MEMBER_CARD(7, "付费会员卡开卡"),
    SVC(8, "储值卡充值"),
    WE_CHAT_LIVE_SELL(9, "微信视频号卖券"),
    TIKTOK_MARKET_ORDER(11, "抖音卖券换购营销"),
    ;

    private Integer index;
    private String name;

    MarketTypeEnum(Integer index, String name) {
        this.index = index;
        this.name = name;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
